#
# spec file for package memprof (Version 0.5.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gnome2-devel-packages intltool perl-XML-Parser
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm update-desktop-files

Name:         memprof
%define prefix   /opt/gnome
Summary:      A memory profiler with GNOME interface
Version:      0.5.1
Release:      123
License:      GPL
Group:        Development/Tools/Debuggers
Source:       %name-%version.tar.bz2
Patch:        %name.diff
URL:          http://www.gnome.org/projects/memprof/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on

%description
With this application on can profile applications for their memory
requirements and hunt for leaks very easily.



%prep
%setup -q
%patch
%{?suse_update_config:%{suse_update_config -f }}
intltoolize --force --copy
autoreconf -fi

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--without-debug \
	--sysconfdir=/etc%{prefix} \
	--disable-static
 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%{find_lang} memprof
%suse_update_desktop_file %name Development Profiling

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f memprof.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.la
%{prefix}/share/memprof
%{prefix}/share/pixmaps/*
%{prefix}/share/applications/memprof.desktop
/etc/%{prefix}/gconf/schemas/memprof.schemas

%changelog -n memprof
* Fri Dec 19 2003 - pthomas@suse.de
- Refresh configury via autoreconf.
- Require intltool and run intltoolize.
- Disable building the unneeded static version of libmemintercept
  and explicitly package the dynamic one.
- Call find_lang in specfile.
* Sat Aug 16 2003 - adrian@suse.de
- update to version 0.5.1 (Gnome 2 based)
- hopefully correct fixed for non-ix86
- add Categories
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri May 31 2002 - ro@suse.de
- fix build on lib64 platforms
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Mar 14 2001 - ro@suse.de
- added xf86 to neededforbuild
* Tue Mar 06 2001 - egger@suse.de
- Initial SuSE version.
